import React from "react";
import {
  BrowserRouter as Router,
  Redirect,
  Switch,
  Route
} from "react-router-dom";

import { Home, Login, AddReceipt, Statistics, Digest } from "./screens";
// import SimpleReactFileUpload from "./react-file-upload.js";
// import PrivateRoute from "./components/PrivateRoute ";
import useGlobal from "./utils/global_state";

function App() {
  const [globalState, globalActions] = useGlobal();
  return (
    <Router>
      <Switch>
        <Route path="/home/add_receipt">
          {globalState.is_authenticated ? <AddReceipt /> : <Redirect to="/" />}
        </Route>
        <Route path="/home/statistics">
          {globalState.is_authenticated ? <Statistics /> : <Redirect to="/" />}
        </Route>
        <Route path="/home/digest">
          {globalState.is_authenticated ? <Digest /> : <Redirect to="/" />}
        </Route>
        <Route path="/home">
          {globalState.is_authenticated ? <Home /> : <Redirect to="/" />}
        </Route>
        <Route path="/">
          <Login />
        </Route>
      </Switch>
    </Router>
  );
}

export default App;
