import React from "react";
import { post } from "axios";
import "./App.css";

class SimpleReactFileUpload extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      image_as_base64: null,
      products: null,
      text: null
    };
    this.onFormSubmit = this.onFormSubmit.bind(this);
    this.onChange = this.onChange.bind(this);
    this.fileUpload_1 = this.fileUpload_1.bind(this);
    this.fileUpload_2 = this.fileUpload_2.bind(this);
  }
  onFormSubmit(e) {
    e.preventDefault(); // Stop form submit
    this.fileUpload_1(this.state.file).then(response => {
      this.setState({
        img_blob_url: URL.createObjectURL(response.data)
      });
    });
    this.fileUpload_2(this.state.file).then(response => {
      console.log(response);
      this.setState({
        text: response.data.text,
        products: response.data.products
      });
    });
  }
  onChange(e) {
    this.setState({ file: e.target.files[0] });
  }
  fileUpload_1(file, get_image = false) {
    const url = "http://localhost:8000/bills/debug_img/";
    const formData = new FormData();
    formData.append("image", file);
    const config = {
      headers: {
        "content-type": "multipart/form-data"
      },
      responseType: "blob"
    };
    return post(url, formData, config);
  }

  fileUpload_2(file, get_image = false) {
    const url = "http://localhost:8000/bills/debug_text/";
    const formData = new FormData();
    formData.append("image", file);
    const config = {
      headers: {
        "content-type": "multipart/form-data"
      }
    };
    return post(url, formData, config);
  }

  render() {
    return (
      <div>
        <form onSubmit={this.onFormSubmit}>
          <h1>File Upload</h1>
          <input type="file" onChange={this.onChange} />
          <button type="submit">Upload</button>
        </form>

        {this.state.img_blob_url && (
          <div>
            <hr
              style={{
                color: "#000000",
                backgroundColor: "#000000",
                height: 0.5,
                borderColor: "#000000"
              }}
            />
            <h1>Paragon</h1>
            <img src={this.state.img_blob_url} />
          </div>
        )}

        {this.state.text && (
          <div style={{ "white-space": "break-spaces" }}>
            <hr
              style={{
                color: "#000000",
                backgroundColor: "#000000",
                height: 0.5,
                borderColor: "#000000"
              }}
            />
            <h1>Rozpoznany tekst</h1>
            {this.state.text}
          </div>
        )}
        {this.state.products && (
          <div>
            <hr
              style={{
                color: "#000000",
                backgroundColor: "#000000",
                height: 0.5,
                borderColor: "#000000"
              }}
            />
            <h1>Rozpoznane produkty i ceny</h1>
            <ol>
              {this.state.products.map(prod => (
                <li>
                  {prod.name} {prod.price}
                </li>
              ))}
            </ol>
          </div>
        )}
      </div>
    );
  }
}

export default SimpleReactFileUpload;
