import React, { useState } from "react";
import { Icon } from "semantic-ui-react";

import "./ProductTile.css";

function ProductTile(props) {
  const [clicked, setClicked] = useState(false);

  return (
    <div
      className="product_tile-container"
      onClick={() => {
        // setClicked(!clicked);
        props.onClick();
      }}
    >
      <div className="tile-number">
        <span className="tile-number-text">{props.number}</span>
      </div>

      <div className="tile-name">{props.name}</div>

      <div className="tile-price"> {props.price} zł </div>
      {clicked && (
        <Icon
          name="trash alternate"
          size="large"
          color="red"
          onClick={props.onRemove}
        />
      )}
    </div>
  );
}

export default ProductTile;
