import React from "react";
import { Button, Container, Icon, Menu, Dropdown } from "semantic-ui-react";
import { useHistory } from "react-router-dom";

import useGlobal from "../../utils/global_state";
import "./Home.css";

function Home() {
  const history = useHistory();
  const [globalState, globalActions] = useGlobal();

  const handleLogout = () => {
    globalActions.logout();
  };

  return (
    <div className="site-wrapper">
      <Menu icon>
        <Menu.Menu position="right">
          <Dropdown item simple icon="user">
            <Dropdown.Menu>
              <Dropdown.Item icon="user outline" text="Profil" />
              <Dropdown.Item icon="options" text="Opcje" />
              <Dropdown.Divider />
              <Dropdown.Item
                onClick={() => handleLogout()}
                icon="sign out"
                text="Wyloguj"
              />
            </Dropdown.Menu>
          </Dropdown>
        </Menu.Menu>
      </Menu>
      <Container className="home-container">
        <Button
          fluid
          icon
          size="massive"
          className="home-button-wrapper"
          onClick={() => history.push("/home/statistics/summary")}
        >
          <Icon
            className="home-button-icon"
            name="pie chart"
            className="home-button-icon"
          />
          Statystyki
        </Button>
        <Button
          fluid
          icon
          size="massive"
          className="home-button-wrapper"
          onClick={() => history.push("/home/digest/receipts")}
        >
          <Icon name="shop" className="home-button-icon" />
          Zakupy
        </Button>
        <Button
          fluid
          icon
          size="massive"
          className="home-button-wrapper"
          onClick={() => history.push("/home/add_receipt")}
        >
          <Icon className="home-button-icon" name="add circle" />
          Dodaj paragon
        </Button>
      </Container>
    </div>
  );
}

export default Home;
