import React, { useState } from "react";
import { Container, Icon, Menu, Accordion, Table } from "semantic-ui-react";
import PieChart from "react-minimal-pie-chart";
import {
  LineChart,
  Line,
  BarChart,
  Bar,
  Brush,
  Cell,
  CartesianGrid,
  ReferenceLine,
  ReferenceDot,
  XAxis,
  YAxis,
  Tooltip,
  Legend,
  ErrorBar,
  LabelList
} from "recharts";

const data = [
  {
    color: "#E38627",
    title: "Biedronka",
    value: 15
  },
  {
    color: "#C13C37",
    title: "Lidl",
    value: 15
  },
  {
    color: "#6A2135",
    title: "Piotr i Paweł",
    value: 10
  }
];

function Shops() {
  return (
    <Container>
      <h1>Sklepy</h1>
      <PieChart
        animate={true}
        animationDuration={500}
        animationEasing="ease-out"
        cx={50}
        cy={50}
        data={data}
        label={({ data, dataIndex }) => data[dataIndex].title}
        labelPosition={50}
        labelStyle={{
          fill: "#121212",
          fontFamily: "sans-serif",
          fontSize: "5px"
        }}
        lengthAngle={360}
        lineWidth={100}
        onClick={undefined}
        onMouseOut={undefined}
        onMouseOver={undefined}
        paddingAngle={0}
        radius={50}
        rounded={false}
        startAngle={0}
        viewBoxSize={[100, 100]}
      />
    </Container>
  );
}

export default Shops;
