import React, { useState, useEffect } from "react";
import { Container, Label, List } from "semantic-ui-react";
import axios from "axios";

import useGlobal from "../../../../utils/global_state";
import config from "../../../../config";

function Summary() {
  const [summaryData, setSummaryData] = useState([]);
  const [globalState, setGlobalState] = useGlobal();
  const [summaryLoading, setSummaryLoading] = useState(true);

  // load data on first render
  useEffect(() => {
    setSummaryLoading(true);
    axios
      .get(`${config.api_url}/api/stats/`, {
        headers: { Authorization: `Token ${globalState.auth_token}` }
      })
      .then(resp => {
        processResponse(resp.data);
      })
      .catch(err => {
        console.log(err);
        setSummaryLoading(false);
      });
  }, []);

  const processResponse = data => {};
  return (
    <Container>
      <h1>Podsumowanie</h1>
      <List divided relaxed size="big">
        <List.Item>
          <List.Content>
            <List.Header>Zapisanych paragonów</List.Header>
            <List.Description as="a">31</List.Description>
          </List.Content>
        </List.Item>
        <List.Item>
          <List.Content>
            <List.Header>Sklepów</List.Header>
            <List.Description as="a">3</List.Description>
          </List.Content>
        </List.Item>
        <List.Item>
          <List.Content>
            <List.Header>Zapisanych produktów</List.Header>
            <List.Description as="a">14</List.Description>
          </List.Content>
        </List.Item>
        <List.Item>
          <List.Content>
            <List.Header>Tagów produktów</List.Header>
            <List.Description as="a">4</List.Description>
          </List.Content>
        </List.Item>
        <List.Item>
          <List.Content>
            <List.Header>Tagów sklepów</List.Header>
            <List.Description as="a">2</List.Description>
          </List.Content>
        </List.Item>
      </List>
    </Container>
  );
}

export default Summary;
