FROM node:11.6-alpine
LABEL maintainer="Stanisław Gołębiewski <stagol@st.amu.edu.pl>"

RUN apk update && \
		apk upgrade && \
    apk add --no-cache tini \
					   make \
					   python2 \
					   g++ \
					   gcc \
					   libgcc \
					   libstdc++ \
					   linux-headers \
					   python

WORKDIR /opt/app/

# COPY ./bk_webapp ./app

COPY ./package.json .

RUN npm install && npm install -g serve

COPY . /opt/app/

RUN npm run build

# ENV PATH /data/node_modules/.bin:$PATH

# WORKDIR /opt/app

ENTRYPOINT ["/sbin/tini", "--"]

CMD serve -l tcp://0.0.0.0:3000 -s build
